Bug 1103073 - hammer : description of options given under host-collection subscommands should be more clear and descriptive
Summary: hammer : description of options given under host-collection subscommands shou...
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Red Hat Satellite 6
Classification: Red Hat
Component: Hammer
Version: 6.0.3
Hardware: Unspecified
OS: Unspecified
unspecified
high vote
Target Milestone: Unspecified
Assignee: Tomas Strachota
QA Contact: sthirugn@redhat.com
URL: http://projects.theforeman.org/issues...
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2014-05-30 07:49 UTC by Sachin Ghai
Modified: 2016-04-22 15:35 UTC (History)
4 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2014-09-11 12:28:33 UTC


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Foreman Issue Tracker 6093 None None None 2016-04-22 15:34:59 UTC
Red Hat Bugzilla 1123473 None None None Never
Red Hat Bugzilla 1124912 None None None Never

Internal Links: 1123473 1124912

Description Sachin Ghai 2014-05-30 07:49:12 UTC
Description of problem:
 Description of options given under host-collection subscommands should be more clear and descriptive. For ex:

[root@dhcp207-55 ~]# hammer host-collection remove-content-host --help
Usage:
    hammer host-collection remove-content-host [OPTIONS]

Options:
    --id ID                        
    --name NAME                   Name to search by
    --organization ORGANIZATION_NAME  
    --organization-id ORGANIZATION_ID  
    --organization-label ORGANIZATION_LABEL  
    --system SYSTEM_NAME           
    --system-id SYSTEM_ID          
    -h, --help                    print help


Please make it more user friendly. User should understand all options by their description.

here --id should have description like: ID of host-collection[required]
--name should have description Name of host-collection
--system Name of system 


There are other areas as well which are not clear. like:

[root@dhcp207-55 ~]# hammer host-collection content-hosts --help
Usage:
    hammer host-collection content-hosts [OPTIONS]

Options:
    --activation-key ACTIVATION_KEY_NAME  
    --activation-key-id ACTIVATION_KEY_ID  
    --id ID                       Id of the host collection
    --organization ORGANIZATION_NAME  
    --organization-id ORGANIZATION_ID  
    --organization-label ORGANIZATION_LABEL  
    --system SYSTEM_NAME           
    --system-id SYSTEM_ID          
    -h, --help                    print help

here what's the purpose of --system, assuming to list/search the list by specific list.?

Version-Release number of selected component (if applicable):
sat6 beta snap7 compose 2 (Satellite-6.0.3-RHEL-6-20140528.4)

How reproducible:
always

Steps to Reproduce:
1.
2.
3.

Actual results:


Expected results:
Description of options given under host-collection subscommands should be more clear and descriptive.

Additional info:

Comment 1 RHEL Product and Program Management 2014-05-30 07:57:23 UTC
Since this issue was entered in Red Hat Bugzilla, the release flag has been
set to ? to ensure that it is properly evaluated for this release.

Comment 3 Mike McCune 2014-06-03 16:21:32 UTC
if we could migrate those --system flags to be --content-host it would be more clear and also update the descriptions as well.

Comment 4 Tomas Strachota 2014-06-06 11:47:10 UTC
Created redmine issue http://projects.theforeman.org/issues/6093 from this bug

Comment 5 Bryan Kearney 2014-06-16 22:04:10 UTC
Moving to POST since upstream bug http://projects.theforeman.org/issues/6093 has been closed

Comment 7 sthirugn@redhat.com 2014-07-30 15:22:06 UTC
Verified.

hammer> host-collection --help
Usage:
     host-collection [OPTIONS] SUBCOMMAND [ARG] ...

Parameters:
    SUBCOMMAND                    subcommand
    [ARG] ...                     subcommand arguments

Subcommands:
    add-content-host              Add systems to the host collection
    content-hosts                 List content hosts in the host collection
    copy                          Make copy of a host collection
    create                        Create a host collection
    delete                        Destroy a host collection
    info                          Show a host collection
    list                          List host collections
    remove-content-host           Remove systems from the host collection
    update                        Update a host collection

Options:
    -h, --help                    print help

hammer> host-collection add-content-host --help
Usage:
     host-collection add-content-host [OPTIONS]

Options:
    --content-host-ids CONTENT_HOST_IDS Array of system ids
                                  Comma separated list of values.
    --id ID                       Id of the host collection
    --name NAME                   Host collection name to search by
    --organization ORGANIZATION_NAME Organization name to search by
    --organization-id ORGANIZATION_ID  
    --organization-label ORGANIZATION_LABEL Organization label to search by
    -h, --help                    print help

hammer> host-collection remove-content-host --help
Usage:
     host-collection remove-content-host [OPTIONS]

Options:
    --content-host-ids CONTENT_HOST_IDS Array of system ids
                                  Comma separated list of values.
    --id ID                       Id of the host collection
    --name NAME                   Host collection name to search by
    --organization ORGANIZATION_NAME Organization name to search by
    --organization-id ORGANIZATION_ID  
    --organization-label ORGANIZATION_LABEL Organization label to search by
    -h, --help                    print help
hammer> host-collection content-hosts --help
Usage:
     host-collection content-hosts [OPTIONS]

Options:
    --id ID                       Id of the host collection
    --name NAME                   Host collection name to search by
    --organization ORGANIZATION_NAME Organization name to search by
    --organization-id ORGANIZATION_ID  
    --organization-label ORGANIZATION_LABEL Organization label to search by
    -h, --help                    print help
hammer> host-collection copy --help
Usage:
     host-collection copy [OPTIONS]

Options:
    --id ID                       ID of the host collection
    --name NAME                   Host collection name to search by
    --organization ORGANIZATION_NAME Organization name to search by
    --organization-id ORGANIZATION_ID  
    --organization-label ORGANIZATION_LABEL Organization label to search by
    -h, --help                    print help

hammer> host-collection create --help
Usage:
     host-collection create [OPTIONS]

Options:
    --content-host-ids CONTENT_HOST_IDS List of system uuids to be in the host collection
                                  Comma separated list of values.
    --description DESCRIPTION      
    --host-collection-ids HOST_COLLECTION_IDS Array of system ids to replace the content hosts in host collection
                                  Comma separated list of values.
    --max-content-hosts MAX_CONTENT_HOSTS Maximum number of content hosts in the host collection
    --name NAME                   Host Collection name
    --organization ORGANIZATION_NAME Organization name to search by
    --organization-id ORGANIZATION_ID  
    --organization-label ORGANIZATION_LABEL Organization label to search by
    --unlimited-content-hosts UNLIMITED_CONTENT_HOSTS Whether or not the host collection may have unlimited content hosts
    -h, --help                    print help

hammer> host-collection delete --help
Usage:
     host-collection delete [OPTIONS]

Options:
    --id ID                       Id of the host collection
    --name NAME                   Host collection name to search by
    --organization ORGANIZATION_NAME Organization name to search by
    --organization-id ORGANIZATION_ID  
    --organization-label ORGANIZATION_LABEL Organization label to search by
    -h, --help                    print help

hammer> host-collection info --help
Usage:
     host-collection info [OPTIONS]

Options:
    --id ID                       Id of the host collection
    --name NAME                   Host collection name to search by
    --organization ORGANIZATION_NAME Organization name to search by
    --organization-id ORGANIZATION_ID  
    --organization-label ORGANIZATION_LABEL Organization label to search by
    -h, --help                    print help

hammer> host-collection list --help
Usage:
     host-collection list [OPTIONS]

Options:
    --activation-key ACTIVATION_KEY_NAME Activation key name to search by
    --activation-key-id ACTIVATION_KEY_ID ID of the activation key
    --by BY                       Field to sort the results on
    --content-host CONTENT_HOST_NAME Name to search by
    --content-host-id CONTENT_HOST_ID UUID of the content host
    --full-results FULL_RESULTS   Whether or not to show all results
    --name NAME                   host collection name to filter by
    --order ORDER                 Sort field and order, eg. 'name DESC'
    --organization ORGANIZATION_NAME Organization name to search by
    --organization-id ORGANIZATION_ID  
    --organization-label ORGANIZATION_LABEL Organization label to search by
    --page PAGE                   Page number, starting at 1
    --per-page PER_PAGE           Number of results per page to return
    --search SEARCH               Search string
    -h, --help                    print help

hammer> host-collection update --help
Usage:
     host-collection update [OPTIONS]

Options:
    --content-host-ids CONTENT_HOST_IDS List of system uuids to be in the host collection
                                  Comma separated list of values.
    --description DESCRIPTION      
    --host-collection-ids HOST_COLLECTION_IDS Array of system ids to replace the content hosts in host collection
                                  Comma separated list of values.
    --id ID                       Id of the host collection
    --max-content-hosts MAX_CONTENT_HOSTS Maximum number of content hosts in the host collection
    --name NAME                   Host collection name to search by
    --new-name NEW_NAME           Host Collection name
    --organization ORGANIZATION_NAME Organization name to search by
    --organization-id ORGANIZATION_ID  
    --organization-label ORGANIZATION_LABEL Organization label to search by
    --unlimited-content-hosts UNLIMITED_CONTENT_HOSTS Whether or not the host collection may have unlimited content hosts
    -h, --help                    print help


Version Tested:
Satellite-6.0.4-RHEL-6-20140723.0

* apr-util-ldap-1.3.9-3.el6_0.1.x86_64
* candlepin-0.9.19-1.el6_5.noarch
* candlepin-scl-1-5.el6_4.noarch
* candlepin-scl-quartz-2.1.5-5.el6_4.noarch
* candlepin-scl-rhino-1.7R3-1.el6_4.noarch
* candlepin-scl-runtime-1-5.el6_4.noarch
* candlepin-selinux-0.9.19-1.el6_5.noarch
* candlepin-tomcat6-0.9.19-1.el6_5.noarch
* elasticsearch-0.90.10-4.el6sat.noarch
* foreman-1.6.0.29-1.el6sat.noarch
* foreman-compute-1.6.0.29-1.el6sat.noarch
* foreman-gce-1.6.0.29-1.el6sat.noarch
* foreman-libvirt-1.6.0.29-1.el6sat.noarch
* foreman-ovirt-1.6.0.29-1.el6sat.noarch
* foreman-postgresql-1.6.0.29-1.el6sat.noarch
* foreman-proxy-1.6.0.21-1.el6sat.noarch
* foreman-selinux-1.6.0-8.el6sat.noarch
* foreman-vmware-1.6.0.29-1.el6sat.noarch
* katello-1.5.0-27.el6sat.noarch
* katello-ca-1.0-1.noarch
* katello-certs-tools-1.5.6-1.el6sat.noarch
* katello-installer-0.0.56-1.el6sat.noarch
* openldap-2.4.23-32.el6_4.1.x86_64
* pulp-katello-0.3-3.el6sat.noarch
* pulp-nodes-common-2.4.0-0.23.beta.el6sat.noarch
* pulp-nodes-parent-2.4.0-0.23.beta.el6sat.noarch
* pulp-puppet-plugins-2.4.0-0.23.beta.el6sat.noarch
* pulp-puppet-tools-2.4.0-0.23.beta.el6sat.noarch
* pulp-rpm-plugins-2.4.0-0.23.beta.el6sat.noarch
* pulp-selinux-2.4.0-0.23.beta.el6sat.noarch
* pulp-server-2.4.0-0.23.beta.el6sat.noarch
* python-ldap-2.3.10-1.el6.x86_64
* ruby193-rubygem-net-ldap-0.3.1-3.el6sat.noarch
* ruby193-rubygem-runcible-1.1.0-2.el6sat.noarch

Comment 8 sthirugn@redhat.com 2014-07-30 15:22:29 UTC
Please note that a related bug https://bugzilla.redhat.com/show_bug.cgi?id=1123473 is still open

Comment 9 sthirugn@redhat.com 2014-07-30 15:30:12 UTC
Also note a related bug https://bugzilla.redhat.com/show_bug.cgi?id=1124912 is still open

Comment 11 Bryan Kearney 2014-09-11 12:28:33 UTC
This was delivered with Satellite 6.0 which was released on 10 September 2014.


Note You need to log in before you can comment on or make changes to this bug.